> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consume PS5 Entitlements

> Checks for any new consumable entitlements. If any are found, they are consumed (if they're consumables) and added as PlayFab items

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| DownstreamServiceUnavailable | 1127 |
| ItemNotFound | 1047 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/ConsumePS5Entitlements
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/ConsumePS5Entitlements:
    post:
      tags:
        - Platform Specific Methods
      summary: Consume PS5 Entitlements
      description: >
        Checks for any new consumable entitlements. If any are found, they are
        consumed (if they're consumables) and added as PlayFab items


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | DownstreamServiceUnavailable | 1127 |

        | ItemNotFound | 1047 |

        | ProductDisabledForTitle | 1609 |
      operationId: ConsumePS5Entitlements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsumePS5EntitlementsRequest'
      responses:
        '200':
          $ref: '#/components/responses/ConsumePS5EntitlementsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    ConsumePS5EntitlementsRequest:
      type: object
      properties:
        CatalogVersion:
          description: Catalog version to use
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        MarketplaceSpecificData:
          allOf:
            - $ref: '#/components/schemas/PlayStation5Payload'
          description: >-
            Marketplace specific payload containing details to fetch in app
            purchase transactions
      required:
        - MarketplaceSpecificData
      example:
        MarketplaceSpecificData:
          ServiceLabel: '1'
        CatalogVersion: MainCatalog
    PlayStation5Payload:
      type: object
      properties:
        Ids:
          description: >-
            An optional list of entitlement ids to query against PlayStation™
            Network
          type: array
          items:
            type: string
        ServiceLabel:
          description: >-
            Id of the PlayStation™ Network service label to consume entitlements
            from
          type: string
    ConsumePS5EntitlementsResult:
      type: object
      properties:
        Items:
          description: Details for the items purchased.
          type: array
          items:
            $ref: '#/components/schemas/ItemInstance'
          x-isclass: true
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    ItemInstance:
      description: >-
        A unique instance of an item in a user's inventory. Note, to retrieve
        additional information for an item such as Tags, Description that are
        the same across all instances of the item, a call to GetCatalogItems is
        required. The ItemID of can be matched to a catalog entry, which
        contains the additional information. Also note that Custom Data is only
        set when the User's specific instance has updated the CustomData via a
        call to UpdateUserInventoryItemCustomData. Other fields such as
        UnitPrice and UnitCurrency are only set when the item was granted via a
        purchase.
      type: object
      properties:
        Annotation:
          description: >-
            Game specific comment associated with this instance when it was
            added to the user inventory.
          type: string
        BundleContents:
          description: >-
            Array of unique items that were awarded when this catalog item was
            purchased.
          type: array
          items:
            type: string
        BundleParent:
          description: >-
            Unique identifier for the parent inventory item, as defined in the
            catalog, for object which were added from a bundle or container.
          type: string
        CatalogVersion:
          description: >-
            Catalog version for the inventory item, when this instance was
            created.
          type: string
        CustomData:
          description: >-
            A set of custom key-value pairs on the instance of the inventory
            item, which is not to be confused with the catalog item's custom
            data.
          type: object
        DisplayName:
          description: CatalogItem.DisplayName at the time this item was purchased.
          type: string
        Expiration:
          description: Timestamp for when this instance will expire.
          type: string
        ItemClass:
          description: Class name for the inventory item, as defined in the catalog.
          type: string
        ItemId:
          description: Unique identifier for the inventory item, as defined in the catalog.
          type: string
        ItemInstanceId:
          description: Unique item identifier for this specific instance of the item.
          type: string
        PurchaseDate:
          description: Timestamp for when this instance was purchased.
          type: string
        RemainingUses:
          description: Total number of remaining uses, if this is a consumable item.
          type: number
          x-actualtype: int32
        UnitCurrency:
          description: >-
            Currency type for the cost of the catalog item. Not available when
            granting items.
          type: string
        UnitPrice:
          description: >-
            Cost of the catalog item in the given currency. Not available when
            granting items.
          type: number
          x-actualtype: uint32
        UsesIncrementedBy:
          description: >-
            The number of uses that were added or removed to this item in this
            call.
          type: number
          x-actualtype: int32
      required:
        - UnitPrice
      example:
        ItemId: shield_level_5
        ItemInstanceId: '133713371337'
        ItemClass: shields
        PurchaseDate: '2017-03-07T00:00:00'
        Expiration: '2018-10-01T00:00:00'
        RemainingUses: 10
        Annotation: No Annotation
        CatalogVersion: '5'
        BundleParent: crate block 1
      x-sortKey: ItemInstanceId
  responses:
    ConsumePS5EntitlementsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ConsumePS5EntitlementsResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Consume PS5 Entitlements](/services/playfab/api-references/rest/client/platform-specific-methods/consume-ps5-entitlements.md)
- [Consume PSN Entitlements](/api-reference/platform-specific-methods/consume-psn-entitlements.md)
- [Consume Xbox Entitlements](/services/playfab/api-references/rest/client/platform-specific-methods/consume-xbox-entitlements.md)
- [Consume Microsoft Store Entitlements](/api-reference/platform-specific-methods/consume-microsoft-store-entitlements.md)
- [PlayFab Online Subsystem (OSS)](/services/playfab/multiplayer/networking/party-unreal-engine-oss-overview.md)
